---
title: "Rename organization"
url: "https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org_id"
type: "endpoint"
section: "organization"
slug: "organization/operations/put-v2-organizations-org_id"
method: "PUT"
path: "/v2/organizations/{org_id}"
operation_id: "put-v2-organizations-org_id"
authorization: "bearer"
---

# Rename organization

`PUT /v2/organizations/{org_id}`

Renames an Organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "name"
  ],
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "description": "Name of the organization. Max length: 255 chars."
    }
  },
  "x-examples": {
    "example-1": {
      "name": "Test ORG"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "name": "New organization name"
}
```

## Responses

### 204

Success, no content

Returns an error when:

* If user who is not the superadmin of org tries to change name of org or user is not related to org at all, "code": 12003001. Message: "Access denied."
* If user tries to change org with expired trial, professional or enterprise subs or has another (not trial, professional or enterprise) type of subscription, "code": 12003002. Message: "Access denied for current subscription."
* If user tries to change deleted org or org, "code": 12003001. Message: "Organization `63XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."
* If user who is not the superadmin tries to change org name, "code": 12003003. Message: "Access denied for current administration role in your organization."
* Request without mandatory parameters, "code": 12001002. Message: "The `name` field is required."
Request with name more than 255 chars length, "code": 12001004. Message: "The `name` field length must be less than 255 characters."
* Request with invalid format of name parameter value, "code": 12001003. Message: "The `name` field must be a string."

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{org_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "New organization name"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org_id*
